| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IDataSourceMgr Class Reference

`#include <GaudiKernel/IDataSourceMgr.h>`

Inheritance diagram for IDataSourceMgr:

[legend]
Collaboration diagram for IDataSourceMgr:

[legend]
List of all members.

## Detailed Description

IDataSourceMgr interface definition.

Author:
  Markus Frank

Version:
  1.0

Definition at line 18 of file IDataSourceMgr.h.

## Public Member Functions
virtual bool | isConnected (const std::string &identifier) const =0
| Check if a datasource is connected.
virtual StatusCode | connect (const std::string &logon, std::string &identifier)=0
| Connect data source.
virtual StatusCode | connect (const std::string &logon)=0
| Connect data source.
virtual StatusCode | disconnect (const std::string &identifier)=0
| Disconnect data source.
virtual StatusCode | disconnectAll ()=0
| Close all open connections.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IDataSourceMgr::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 21 of file IDataSourceMgr.h.

References IID_IDataSourceMgr.

    00021 { return IID_IDataSourceMgr; }

virtual bool IDataSourceMgr::isConnected | ( | const std::string & | identifier | ) | const`[pure virtual]`

Check if a datasource is connected.

Parameters:

  | identifier | Connection string

Returns:
  Status code indicating success or failure.

Implemented in NTupleSvc.

virtual StatusCode IDataSourceMgr::connect | ( | const std::string & | logon,
|  | std::string & | identifier |
| ) |  |  | `[pure virtual]`

Connect data source.

Parameters:

  | mode | Connection mode (READ,CREATE,UPDATE)
  | logon | Connection string
  | identifier | Logical name (OUTPUT)

Returns:
  Status code indicating success or failure.

Implemented in NTupleSvc, and TagCollectionSvc.

virtual StatusCode IDataSourceMgr::connect | ( | const std::string & | logon | ) | `[pure virtual]`

Connect data source.

Parameters:

  | mode | Connection mode (READ,CREATE,UPDATE)
  | logon | Connection string

Returns:
  Status code indicating success or failure.

Implemented in NTupleSvc.

virtual StatusCode IDataSourceMgr::disconnect | ( | const std::string & | identifier | ) | `[pure virtual]`

Disconnect data source.

Parameters:

  | identifier | Connection string

Returns:
  Status code indicating success or failure.

Implemented in NTupleSvc.

virtual StatusCode IDataSourceMgr::disconnectAll | ( |  | ) | `[pure virtual]`

Close all open connections.

Implemented in NTupleSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IDataSourceMgr.h